﻿using StockSharp.Algo.History.Russian.Finam;
using StockSharp.Algo.Storages;
using StockSharp.BusinessEntities;
using System;

namespace ConsoleApplication4
{
    class Program
    {
        static void Main(string[] args)
        {
            // http://www.moex.com/ru/contract.aspx?code=BRU8

            var security = new Security
            {
                Id = "BRU8@FORTS",
                Board = ExchangeBoard.Forts
            };

            var historyFinamSource = new FinamHistorySource(new InMemoryNativeIdStorage(), new InMemoryExchangeInfoProvider());

            var securityStorage = new FinamSecurityStorage(new Security());
            var criteria = new Security();
            var isCanceled = false;
            historyFinamSource.Refresh(securityStorage, criteria, loadedSecurity => { }, () => isCanceled);

            var historyCandles = historyFinamSource.GetCandles(security, TimeSpan.FromMinutes(1), new DateTime(2017, 8, 28), new DateTime(2017, 10, 11));

            foreach (var historyCandle in historyCandles)
            {
                Console.WriteLine(historyCandle);
            }

            Console.ReadKey();
        }
    }
}
